
NethServer 6 - Feature #2714
Firewall: select default policy
04/09/2014 10:32 AM - Giacomo Sanchietti

Status: CLOSED Start date:
Priority: Normal Due date:
Assignee: % Done: 100%
Category: nethserver-firewall-base
Target version: v6.5
Resolution: NEEDINFO: No
Description
The firewall should implement two standard policies:
    -  permissive  
    -  strict

Permissive policy will enable all traffic from green (loc) zone to red (net) zone. 
Strict policy will block all traffic from green (loc) zone to red (net) zone. Permitted traffic should be explicitly allowed.

Related issues:
Related to NethServer 6 - Feature # 2716: Custom firewall rules CLOSED
Related to NethServer 6 - Enhancement # 2771: Merge nethserver-shorewall and ... CLOSED

Associated revisions
Revision 0b14200d - 04/09/2014 10:58 AM - Giacomo Sanchietti

Policy: implement default policy. Refs #2714

Revision 3b869a62 - 04/09/2014 12:15 PM - Giacomo Sanchietti

Web interface: add ExternalPing option. Refs #2714

Revision af3a002d - 04/10/2014 09:35 AM - Giacomo Sanchietti

Web interface: add translations. Refs #2714

Revision 14d9e0c5 - 04/28/2014 02:39 PM - Giacomo Sanchietti

Web interface: change policy labels. Refs #2714

Revision 2bfc1b8a - 04/28/2014 04:37 PM - Giacomo Sanchietti

NetworksDB: add 'red' function. Refs #2714

Revision 9f337bc5 - 04/28/2014 06:31 PM - Giacomo Sanchietti

shorewall template: add support for orange and blue zones. Refs #2714
Revision ffca37e7 - 05/12/2014 04:04 PM - Giacomo Sanchietti

frewall policy: refactor fragment. Refs #2714

Revision 4997d7fd - 05/27/2014 12:23 PM - Giacomo Sanchietti

Policy template: avoid duplicate policies. Refs #2714

History
#1 - 04/09/2014 10:33 AM - Giacomo Sanchietti
- Status changed from NEW to TRIAGED
- % Done changed from 0 to 20

#2 - 04/09/2014 10:33 AM - Giacomo Sanchietti
- Status changed from TRIAGED to ON_DEV
- Assignee set to Giacomo Sanchietti
- % Done changed from 20 to 30

#3 - 05/05/2014 03:49 PM - Giacomo Sanchietti
- Assignee deleted (Giacomo Sanchietti)

VPN zones should have same policy as the green (local) interface.

#4 - 05/14/2014 11:56 AM - Giacomo Sanchietti
- Status changed from ON_DEV to MODIFIED
- % Done changed from 30 to 60

#5 - 05/14/2014 12:31 PM - Giacomo Sanchietti
- Description updated

#6 - 06/11/2014 03:24 PM - Giacomo Sanchietti
- Related to Enhancement #2771: Merge nethserver-shorewall and nethserver-firewall-base added

#7 - 06/12/2014 03:25 PM - Giacomo Sanchietti

Merged on master.

#8 - 06/12/2014 03:35 PM - Giacomo Sanchietti
- Status changed from MODIFIED to ON_QA
- % Done changed from 60 to 70

Packages in nethserver-testing:
    -  nethserver-firewall-base-1.1.0-66.0git67ac1559.ns6.noarch.rpm
    -  nethserver-lsm-0.0.3-7.0gitd4a46e58.ns6.noarch.rpm
    -  nethserver-squid-1.1.1-3.0git37fbdd7c.ns6.noarch.rpm (già su testing)
    -  nethserver-snort-0.0.1-5.0git32850266.ns6.noarch.rpm
    -  nethserver-base-2.2.1-57.0git27156ae2.ns6.noarch.rpm
    -  nethserver-nethgui-1.5.0-22.0git051080ae.ns6.noarch.rpm
#9 - 07/28/2014 12:20 PM - Davide Principi
- Assignee set to Davide Principi

#10 - 07/29/2014 05:07 AM - Davide Principi
- Status changed from ON_QA to VERIFIED
- Assignee deleted (Davide Principi)
- % Done changed from 70 to 90

VERIFIED

Connections from internal host are blocked, or allowed accordingly.

#11 - 08/20/2014 06:03 AM - Davide Principi
- Status changed from VERIFIED to CLOSED
- % Done changed from 90 to 100

In nethserver-updates:
nethserver-firewall-base-2.0.0-1.ns6.noarch.rpm
nethserver-base-2.3.0-1.ns6.noarch.rpm
